Bug 214640 - CVE-2006-5794 OpenSSH privilege separation flaw
CVE-2006-5794 OpenSSH privilege separation flaw
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssh (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
http://www.openssh.com/txt/release-4.5
source=vendorsec,reported=20061107,im...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-08 13:54 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0738
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-15 09:19:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-11-08 13:54:22 EST
OpenSSH has fixed a minor flaw that could allow a remote attacker to bypass
normal authentication mechanisms if a flaw is ever found that allows an attacker
to control the unprivileged process when privilege separation is enabled.

This flaw is not exploitable by itself.  It requires a flaw which allows the
attacker to control the unprivileged process while privilege seperation is enabled.

This issue also affects RHEL3
Comment 1 Tomas Mraz 2006-11-10 08:51:07 EST
Fixed packages for RHEL3: openssh-3.6.1p2-33.30.13 in dist-3.0E-errata-candidate

Fixed packages for RHEL4: openssh-3.9p1-8.RHEL4.17.1 in dist-4E-errata-candidate
Comment 4 Red Hat Bugzilla 2006-11-15 09:19:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0738.html

Note You need to log in before you can comment on or make changes to this bug.